net.sourceforge.pmd.benchmark

## Class Benchmarker

- java.lang.Object
- - net.sourceforge.pmd.benchmark.Benchmarker

    public class Benchmarker
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Benchmarker()`

### Method Summary

Methods
`static void` `main(String[] args)`
`static void` `mark(Benchmark type, long time, long count)`
`static void` `mark(Benchmark type, String name, long time, long count)`
`static void` `reset()`
`static Map<String,net.sourceforge.pmd.benchmark.BenchmarkResult>` `values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Benchmarker

    public Benchmarker()

### Method Detail

#### main

    public static void main(String[] args)
                     throws RuleSetNotFoundException,
                            IOException,
                            PMDException

Parameters:
  `args` - String[]
Throws:
  `RuleSetNotFoundException`
  `IOException`
  `PMDException`

#### mark

    public static void mark(Benchmark type,
            long time,
            long count)

Parameters:
  `type` - Benchmark
  `time` - long
  `count` - long

#### mark

    public static void mark(Benchmark type,
            String name,
            long time,
            long count)

Parameters:
  `type` - Benchmark
  `name` - String
  `time` - long
  `count` - long

#### reset

    public static void reset()

#### values

    public static Map<String,net.sourceforge.pmd.benchmark.BenchmarkResult> values()

Returns:
  Map<String,BenchmarkResult>